Description

Many fTools commands produce a new shapefile, identical to the original one with only a column added (e.g. Sum line lengths, Points in

polygons, etc.). Better add the columns to the original file.

History

#1 - 2012-02-15 02:51 AM - Giovanni Manghi

I'll add this as an option, many people like the fact that the original source is just read.

#2 - 2012-02-15 03:00 AM - Richard Duivenvoorde

In my opinion the default would be just create a memory layer (instead of defaulting to create a shapefile as it is now).

I think when Carson created fwtools that the memory layer was not mature enough (or even not available), but nowadays it's easy to create one in Python

and put geomtries+attributes in it.

In this way a user can always decide her/himself to save it as a shapefile (for operations which add a column) or copy/paste the geometries to the original

file (for operations which just create some geometries, like buffers etc))

In this way it is easier to try out some parameter values for an operation without having 16 shapefile related files somewhere on you disk named 'test1,

test2 etc etc' :-)

Off course for huge shapefiles it is better to create a shapefile immediatly, but then that is up to the user to decide...

#3 - 2012-02-15 03:02 AM - Paolo Cavallini

Most other tools just add columns. Duplicating geometries seem unnecessary.

#4 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#5 - 2013-04-12 09:07 PM - maning sambale

Is this implemented either in Sextante or fTools already?  If not, I suggest this is a feature enhancement and move to a later QGIS version.

#6 - 2013-07-13 02:33 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2016-05-23 08:40 AM - Alexander Bruy

- Status changed from Open to Closed

fTools now removed from QGIS, so I close this. Please reopen if necessary.

#8 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
